const {port, parser} = require('./port')
const app = require('./api')
const { parse } = require('path')
app.post('/lock', (req, res) => {
    port.write('lock\n')
    res.send('locked')
})

app.post('/unlock', (req, res) => {
    port.write('unlock\n')
    port.flush()
    res.send('unlocked')
})

app.get('/status', (req, res) => {
    port.write('status\n')
    port.flush()
    return new Promise((resolve, reject) => {
        setTimeout(() => {
            reject('timeout');
        }, 1000)
        parser.on('data', function returnStatus(data) {
            res.send(data.toString())
            parser.removeListener('data', returnStatus)
            resolve()
        })
    })
})